package com.simuwang.base.common.enums;

import java.util.stream.Stream;

/**
 * FileName: DistributeType
 * Author:   chenjianhua
 * Date:     2024/9/16 13:30
 * Description: ${DESCRIPTION}
 */
public enum ReviewStatusType {
    //单位分红/拆分比例
    SUCCESS(1, "无需处理"), FAIL(0, "未处理"), PERSONNEL_REVIEW(2, "人工已处理"), PERSONNEL_NO_REVIEW(3, "暂不处理");

    private final Integer code;
    private final String info;

    ReviewStatusType(Integer code, String info) {
        this.code = code;
        this.info = info;
    }
    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
