package com.simuwang.base.mapper.daq;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.HostedEmailInfoDO;
import com.simuwang.base.pojo.dto.query.HostedEmailPageQuery;
import com.smppw.common.pojo.ResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HostedEmailInfoMapper extends BaseMapper<HostedEmailInfoDO> {
    HostedEmailInfoDO selectHostedEmailInfoDO(@Param("email") String email);

    void saveHostedEmailInfoDO(HostedEmailInfoDO hostedEmailInfoDO);

    void deleteHostEmail(@Param("idList") List<Integer> idList, @Param("userId")Integer userId);

    List<HostedEmailInfoDO> searchHostEmailPage(HostedEmailPageQuery hostedEmailPageQuery);

    long countHostEmailPage(HostedEmailPageQuery hostedEmailPageQuery);

    List<String> getAllHostedEmail();
}
