package com.simuwang.base.mapper.daq;

import com.simuwang.base.pojo.dos.*;
import com.simuwang.base.pojo.dto.query.DeletionPageQuery;
import com.simuwang.base.pojo.dto.query.FundDeletionPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * FileName: DeletionInfoMapper
 * Author:   chenjianhua
 * Date:     2024/9/17 18:59
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface DeletionTaskLogInfoMapper {

    List<DeletionTaskLogInfoDO> selectDeletionTaskLogInfoDO(@Param("fundId") String fundId, @Param("channelId")Integer channelId,
                                                      @Param("frequency")Integer frequency, @Param("priceDate")String priceDate,@Param("deletionType")Integer deletionType);

    void saveDeletionTaskLogInfoDO(DeletionTaskLogInfoDO deletionTaskLogInfoDO);
}
